aboutsummaryrefslogtreecommitdiffstats
path: root/community/xmlstarlet/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 07:31:09 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 07:31:09 +0000
commitba771e47390f0b3dd7184da05bec38ded2783ea3 (patch)
treed10af43b1a77410505ee3d19d167f2f0eda72699 /community/xmlstarlet/APKBUILD
parentaec0ebf7ae305b2a1a1cd3fc118f43630e59aab1 (diff)
downloadaports-ba771e47390f0b3dd7184da05bec38ded2783ea3.tar.gz
aports-ba771e47390f0b3dd7184da05bec38ded2783ea3.tar.bz2
aports-ba771e47390f0b3dd7184da05bec38ded2783ea3.tar.xz
community/xmlstarlet: moved from unmaintained, cleaned up APKBUILD
Diffstat (limited to 'community/xmlstarlet/APKBUILD')
-rw-r--r--community/xmlstarlet/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/xmlstarlet/APKBUILD b/community/xmlstarlet/APKBUILD
new file mode 100644
index 0000000000..013d694c04
--- /dev/null
+++ b/community/xmlstarlet/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=xmlstarlet
+pkgver=1.6.1
+pkgrel=0
+pkgdesc="A set of tools to transform, query, validate, and edit XML documents"
+url="http://xmlstar.sourceforge.net"
+arch="all"
+license="MIT"
+depends=""
+makedepends="ghostscript libxml2-dev libxslt-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::http://sourceforge.net/projects/xmlstar/files/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz/download"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ LIBXSLT_PREFIX=/usr \
+ LIBXML_PREFIX=/usr \
+ ./configure \
+ --prefix=/usr \
+ --enable-build-docs
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="${pkgdir}" install
+ ln -s xml ${pkgdir}/usr/bin/xmlstarlet
+ install -Dm0644 Copyright $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="f3c5dfa3b1a2ee06cd57c255cc8b70a0 xmlstarlet-1.6.1.tar.gz"
+sha256sums="15d838c4f3375332fd95554619179b69e4ec91418a3a5296e7c631b7ed19e7ca xmlstarlet-1.6.1.tar.gz"
+sha512sums="4228df812caec7059d7a76986c4d9a4262bd861cc53dca05f341ae6c062be05f1c39fc637918ab00f60f40587c6c556e3c9bfaf8a18b149e3c321a92214dbe8b xmlstarlet-1.6.1.tar.gz"